Bug 247719 - Installation from ATAPI cdrom connected to ahci SATA port fails
Summary: Installation from ATAPI cdrom connected to ahci SATA port fails
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.4
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
: ---
Assignee: Jeff Garzik
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-10 23:31 UTC by Kiran
Modified: 2013-07-03 02:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 18:19:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg of the boot from cdrom (7.53 KB, text/plain)
2007-07-10 23:31 UTC, Kiran
no flags Details
dmesg from the RHEL kernel installed on the harddrive (16.82 KB, text/plain)
2007-07-10 23:32 UTC, Kiran
no flags Details

Description Kiran 2007-07-10 23:31:00 UTC
Description of problem:
Installation of RHEL4U4 off a ahci SATA cdrom fails.  The installation process
fails to load the cdrom driver correctly and prompts the user to select the
driver.  However, the relevant driver (ahci) is already loaded.  The problem
seems to happen in the 'install' scenario only. After a successful install
(through NFS), the RHEL kernel 2.6.9-42.EL boots up fine and even recognizes the
cd/dvd drive.  Surprisingly, it is the exact same kernel and set of modules used
for the anaconda install kernel, and, the cdrom does not get recognized during
install!!

Version-Release number of selected component (if applicable):
RHEL4U4


How reproducible:
All the time.  This happened with more than one machine in our labs.

Steps to Reproduce:
1. Start RHEL4 U4 installation from a cdrom attached to the ahci SATA port
2. Proceed to the point where the installation process needs to mount the cdrom.
 Installation process fails to detect the cdrom.

  
Actual results:
Installation failure through CDROM

Expected results:
Successful installation from CDROM

Additional info:
Attaching the dmesg from same machine 1. With the full distro running off the
disk 2. Booting the machine off the cdrom and falling back into rescue mode
(loading the rescue image over NFS).  Please note the timeout error in dmesg
while probing for the cdrom in the latter case:

scsi1 : ahci
ata3: SATA link up 1.5 Gbps (SStatus 113)
ata3: dev 0 cfg 49:0f00 82:0218 83:4000 84:4000 85:0218 86:0000 87:4000 88:101f
ata3: dev 0 ATAPI, max UDMA/66
ata3: qc timeout (cmd 0xef)
ata3: failed to set xfermode (err_mask=0x4)

I don't notice the timeout on booting the installed kernel from the disk:

scsi1 : ahci
ata3: SATA link up 1.5 Gbps (SStatus 113)
ata3: dev 0 cfg 49:0f00 82:0218 83:4000 84:4000 85:0218 86:0000 87:4000 88:101f
ata3: dev 0 ATAPI, max UDMA/66
ata3: dev 0 configured for UDMA/66
scsi2 : ahci

Comment 1 Kiran 2007-07-10 23:31:00 UTC
Created attachment 158915 [details]
dmesg of the boot from cdrom

Comment 2 Kiran 2007-07-10 23:32:41 UTC
Created attachment 158916 [details]
dmesg from the RHEL kernel installed on the harddrive

Comment 5 Jeremy Katz 2009-03-24 18:28:20 UTC
Is this still a problem?  If not, can we close it out?

Comment 6 Jeremy Katz 2009-07-23 18:19:54 UTC
Closing due to inactivity.  Please reopen if you have further information to add to this report


Note You need to log in before you can comment on or make changes to this bug.